#!/usr/bin/env python

import numpy as np
from ase.io import read
from ase.constraints import FixAtoms
from ase.calculators.vasp import Vasp

calc = Vasp(
        prec="Accurate",
        xc="PBE",
        encut=450,
        kpts=(3, 3, 1),
        nelm=200,
        lreal="Auto",
        algo="Fast",
        ismear=2,
        sigma=0.05,
        nelmdl=-6,
        ediff=1E-06,
        istart=0,
        icharg=2,
        npar=1,
        isym=0,
        nwrite=1,
        lcharg=False,
        lwave=False,
        lplane=True,
        nsw=2000,
        iopt=1,
        ibrion=3,
        potim=0,
        ediffg=-0.005,
        ivdw=13,
        ispin=2,
        isif=0,
        lautoscale=False,
        )

slab = read('POSCAR.propanal')

slab.set_calculator(calc)

print slab.get_potential_energy()
